# Live Events

## Live Events

<mark style="color:blue;">`GET`</mark> `https://dde-api.imgarena.com/tabletennis/tournaments/liveevents`

We recommend that you request this REST endpoint every 10 seconds so that you have the most up-to-date information on the events that are currently live on the DDE. This endpoint currently takes no request parameters.

#### Headers

| Name          | Type   | Description                                      |
| ------------- | ------ | ------------------------------------------------ |
| Authorization | string | OAuth2 Bearer token                              |
| Accept        | string | application/vnd.imggaming.dde.api+json;version=1 |

{% tabs %}
{% tab title="200 The response is typically used to decide which live streams should get connected to. As soon as a live stream is available, connecting to the websocket for that individual live stream event should be commenced." %}

```
[
    {
        "eventId": 85413,
        "eventState": "InProgress",
        "startTime": {
            "status": "StartsAt",
            "time": "18:40"
        },
        "teamA": {
            "status": "KnownTableTennisTeam",
            "team": {
                "entryType": "Standard",
                "player1": {
                    "externalId": "104257",
                    "firstName": "Youngsik",
                    "id": 115,
                    "lastName": "JEOUNG"
                },
                "seed": 12
            }
        },
        "teamB": {
            "status": "KnownTableTennisTeam",
            "team": {
                "entryType": "Standard",
                "player1": {
                    "externalId": "112409",
                    "firstName": "Jonathan",
                    "id": 116,
                    "lastName": "GROTH"
                },
                "seed": 29
            }
        },
        "tournamentExternalId": "5365",
        "tournamentId": 33,
        "tournamentName": "WTT China Champions 2021 - IMGSIM 2"
    },
    {
        "eventId": 4648,
        "eventState": "InProgress",
        "startTime": {
            "status": "StartsAt",
            "time": "19:05"
        },
        "teamA": {
            "status": "KnownTableTennisTeam",
            "team": {
                "entryType": "Qualifier",
                "player1": {
                    "externalId": "120284",
                    "firstName": "Tibor",
                    "id": 6357,
                    "lastName": "SPANIK"
                },
                "seed": 34
            }
        },
        "teamB": {
            "status": "KnownTableTennisTeam",
            "team": {
                "entryType": "Qualifier",
                "player1": {
                    "externalId": "120765",
                    "firstName": "Eric",
                    "id": 6360,
                    "lastName": "THILLEN"
                },
                "seed": 70
            }
        },
        "tournamentExternalId": "2480",
        "tournamentId": 18,
        "tournamentName": "2021 ITTF Czech International Open"
    }
]
```

{% endtab %}

{% tab title="302 " %}

```
```

{% endtab %}

{% tab title="304 " %}

```
```

{% endtab %}

{% tab title="400 " %}

```
The value of HTTP header 'Accept' was malformed:
Accept must match .*application/vnd.imggaming.dde.api\+json;\s?version=(\d).*, image/* or text/csv
```

{% endtab %}

{% tab title="401 " %}

```
The supplied authentication is invalid
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/live-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
